### Method

# PapersDocument AnnotationFreeText auto_resize

since: 48.0

#### Declaration [src]

    void
    pps_annotation_free_text_auto_resize (
      PpsAnnotationFreeText* annot,
      PangoContext* ctx
    )

#### Description [src]

Resize the annotation so as all the text fits in its rect, according to Pango metrics. This should typically be called every time the content is changed unless the free text annotation is supposed to be fixed width for instance.

Available since: 48.0

#### Parameters

`ctx`

  Type: `PangoContext`

  A valid `PangoContext`.

  The data is owned by the caller of the method.